Package com.independentsoft.office.spreadsheet

# Class CalculationProperties

java.lang.Object
com.independentsoft.office.spreadsheet.CalculationProperties

public class CalculationProperties extends Object
The Class CalculationProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalculationProperties()`
  Instantiates a new calculation properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalculationProperties`
  `clone()`
  `int`
  `getCalculationID()`
  Gets the calculation id.
  `CalculationMode`
  `getCalculationMode()`
  Gets the calculation mode.
  `int`
  `getConcurrentThreadManualCount()`
  Gets the concurrent thread manual count.
  `int`
  `getIterationCount()`
  Gets the iteration count.
  `double`
  `getIterativeCalculationDelta()`
  Gets the iterative calculation delta.
  `ReferenceMode`
  `getReferenceMode()`
  Gets the reference mode.
  `boolean`
  `isCalculateOnSave()`
  Checks if is calculate on save.
  `boolean`
  `isCalculationCompleted()`
  Checks if is calculation completed.
  `boolean`
  `isCalculationIteration()`
  Checks if is calculation iteration.
  `boolean`
  `isConcurrentCalculations()`
  Checks if is concurrent calculations.
  `boolean`
  `isForceFullCalculation()`
  Checks if is force full calculation.
  `boolean`
  `isFullCalculationOnLoad()`
  Checks if is full calculation on load.
  `boolean`
  `isFullPrecisionCalculation()`
  Checks if is full precision calculation.
  `void`
  `setCalculateOnSave​(boolean calculateOnSave)`
  Sets the calculate on save.
  `void`
  `setCalculationCompleted​(boolean calculationCompleted)`
  Sets the calculation completed.
  `void`
  `setCalculationID​(int calculationID)`
  Sets the calculation id.
  `void`
  `setCalculationIteration​(boolean calculationIteration)`
  Sets the calculation iteration.
  `void`
  `setCalculationMode​(CalculationMode calculationMode)`
  Sets the calculation mode.
  `void`
  `setConcurrentCalculations​(boolean concurrentCalculations)`
  Sets the concurrent calculations.
  `void`
  `setConcurrentThreadManualCount​(int concurrentThreadManualCount)`
  Sets the concurrent thread manual count.
  `void`
  `setForceFullCalculation​(boolean forceFullCalculation)`
  Sets the force full calculation.
  `void`
  `setFullCalculationOnLoad​(boolean fullCalculationOnLoad)`
  Sets the full calculation on load.
  `void`
  `setFullPrecisionCalculation​(boolean fullPrecisionCalculation)`
  Sets the full precision calculation.
  `void`
  `setIterationCount​(int iterationCount)`
  Sets the iteration count.
  `void`
  `setIterativeCalculationDelta​(double iterativeCalculationDelta)`
  Sets the iterative calculation delta.
  `void`
  `setReferenceMode​(ReferenceMode referenceMode)`
  Sets the reference mode.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CalculationProperties

    public CalculationProperties()
    Instantiates a new calculation properties.

- ## Method Details

  - ### clone

    public CalculationProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isCalculationCompleted

    public boolean isCalculationCompleted()
    Checks if is calculation completed.
    Returns:
      true, if is calculation completed

  - ### setCalculationCompleted

    public void setCalculationCompleted​(boolean calculationCompleted)
    Sets the calculation completed.
    Parameters:
      `calculationCompleted` - the new calculation completed

  - ### getCalculationID

    public int getCalculationID()
    Gets the calculation id.
    Returns:
      the calculation id

  - ### setCalculationID

    public void setCalculationID​(int calculationID)
    Sets the calculation id.
    Parameters:
      `calculationID` - the new calculation id

  - ### getCalculationMode

    public CalculationMode getCalculationMode()
    Gets the calculation mode.
    Returns:
      the calculation mode

  - ### setCalculationMode

    public void setCalculationMode​(CalculationMode calculationMode)
    Sets the calculation mode.
    Parameters:
      `calculationMode` - the new calculation mode

  - ### isCalculateOnSave

    public boolean isCalculateOnSave()
    Checks if is calculate on save.
    Returns:
      true, if is calculate on save

  - ### setCalculateOnSave

    public void setCalculateOnSave​(boolean calculateOnSave)
    Sets the calculate on save.
    Parameters:
      `calculateOnSave` - the new calculate on save

  - ### isConcurrentCalculations

    public boolean isConcurrentCalculations()
    Checks if is concurrent calculations.
    Returns:
      true, if is concurrent calculations

  - ### setConcurrentCalculations

    public void setConcurrentCalculations​(boolean concurrentCalculations)
    Sets the concurrent calculations.
    Parameters:
      `concurrentCalculations` - the new concurrent calculations

  - ### getConcurrentThreadManualCount

    public int getConcurrentThreadManualCount()
    Gets the concurrent thread manual count.
    Returns:
      the concurrent thread manual count

  - ### setConcurrentThreadManualCount

    public void setConcurrentThreadManualCount​(int concurrentThreadManualCount)
    Sets the concurrent thread manual count.
    Parameters:
      `concurrentThreadManualCount` - the new concurrent thread manual count

  - ### isForceFullCalculation

    public boolean isForceFullCalculation()
    Checks if is force full calculation.
    Returns:
      true, if is force full calculation

  - ### setForceFullCalculation

    public void setForceFullCalculation​(boolean forceFullCalculation)
    Sets the force full calculation.
    Parameters:
      `forceFullCalculation` - the new force full calculation

  - ### isFullCalculationOnLoad

    public boolean isFullCalculationOnLoad()
    Checks if is full calculation on load.
    Returns:
      true, if is full calculation on load

  - ### setFullCalculationOnLoad

    public void setFullCalculationOnLoad​(boolean fullCalculationOnLoad)
    Sets the full calculation on load.
    Parameters:
      `fullCalculationOnLoad` - the new full calculation on load

  - ### isFullPrecisionCalculation

    public boolean isFullPrecisionCalculation()
    Checks if is full precision calculation.
    Returns:
      true, if is full precision calculation

  - ### setFullPrecisionCalculation

    public void setFullPrecisionCalculation​(boolean fullPrecisionCalculation)
    Sets the full precision calculation.
    Parameters:
      `fullPrecisionCalculation` - the new full precision calculation

  - ### isCalculationIteration

    public boolean isCalculationIteration()
    Checks if is calculation iteration.
    Returns:
      true, if is calculation iteration

  - ### setCalculationIteration

    public void setCalculationIteration​(boolean calculationIteration)
    Sets the calculation iteration.
    Parameters:
      `calculationIteration` - the new calculation iteration

  - ### getIterationCount

    public int getIterationCount()
    Gets the iteration count.
    Returns:
      the iteration count

  - ### setIterationCount

    public void setIterationCount​(int iterationCount)
    Sets the iteration count.
    Parameters:
      `iterationCount` - the new iteration count

  - ### getIterativeCalculationDelta

    public double getIterativeCalculationDelta()
    Gets the iterative calculation delta.
    Returns:
      the iterative calculation delta

  - ### setIterativeCalculationDelta

    public void setIterativeCalculationDelta​(double iterativeCalculationDelta)
    Sets the iterative calculation delta.
    Parameters:
      `iterativeCalculationDelta` - the new iterative calculation delta

  - ### getReferenceMode

    public ReferenceMode getReferenceMode()
    Gets the reference mode.
    Returns:
      the reference mode

  - ### setReferenceMode

    public void setReferenceMode​(ReferenceMode referenceMode)
    Sets the reference mode.
    Parameters:
      `referenceMode` - the new reference mode